package com.ruoyi.mall.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mall.mapper.MallSchoolMasterMapper;
import com.ruoyi.mall.domain.MallSchoolMaster;
import com.ruoyi.mall.service.IMallSchoolMasterService;

/**
 * 学校硕士点Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-26
 */
@Service
public class MallSchoolMasterServiceImpl implements IMallSchoolMasterService 
{
    @Autowired
    private MallSchoolMasterMapper mallSchoolMasterMapper;

    /**
     * 查询学校硕士点
     * 
     * @param masterId 学校硕士点主键
     * @return 学校硕士点
     */
    @Override
    public MallSchoolMaster selectMallSchoolMasterByMasterId(Long masterId)
    {
        return mallSchoolMasterMapper.selectMallSchoolMasterByMasterId(masterId);
    }

    /**
     * 查询学校硕士点列表
     * 
     * @param mallSchoolMaster 学校硕士点
     * @return 学校硕士点
     */
    @Override
    public List<MallSchoolMaster> selectMallSchoolMasterList(MallSchoolMaster mallSchoolMaster)
    {
        return mallSchoolMasterMapper.selectMallSchoolMasterList(mallSchoolMaster);
    }

    /**
     * 新增学校硕士点
     * 
     * @param mallSchoolMaster 学校硕士点
     * @return 结果
     */
    @Override
    public int insertMallSchoolMaster(MallSchoolMaster mallSchoolMaster)
    {
        return mallSchoolMasterMapper.insertMallSchoolMaster(mallSchoolMaster);
    }

    /**
     * 修改学校硕士点
     * 
     * @param mallSchoolMaster 学校硕士点
     * @return 结果
     */
    @Override
    public int updateMallSchoolMaster(MallSchoolMaster mallSchoolMaster)
    {
        return mallSchoolMasterMapper.updateMallSchoolMaster(mallSchoolMaster);
    }

    /**
     * 批量删除学校硕士点
     * 
     * @param masterIds 需要删除的学校硕士点主键
     * @return 结果
     */
    @Override
    public int deleteMallSchoolMasterByMasterIds(Long[] masterIds)
    {
        return mallSchoolMasterMapper.deleteMallSchoolMasterByMasterIds(masterIds);
    }

    /**
     * 删除学校硕士点信息
     * 
     * @param masterId 学校硕士点主键
     * @return 结果
     */
    @Override
    public int deleteMallSchoolMasterByMasterId(Long masterId)
    {
        return mallSchoolMasterMapper.deleteMallSchoolMasterByMasterId(masterId);
    }
}
